summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--TODO5
-rw-r--r--bg2/install-tob-patch-uk.sh43
-rw-r--r--bg2/install-tob-patch-us.sh43
-rw-r--r--includes/cd-list.sh4
-rw-r--r--iwd/install-patch-how-us.sh46
5 files changed, 138 insertions, 3 deletions
diff --git a/TODO b/TODO
index aa607bb..c8bc437 100644
--- a/TODO
+++ b/TODO
@@ -1,3 +1,6 @@
* Prompts for user input after recognizing IWD1 CD.
* Doesn't install IWD-HOW.
-* Installing BG1-3CD results in recursive copying of the save file directory into itself. Weird. \ No newline at end of file
+* Installing BG1-3CD results in recursive copying of the save file directory into itself. Weird.
+* A number of official patches aren't installed?
+* We should also install the unofficial fix/expansion patches (unifinished business, etc).
+* We don't handle internationalized patches.
diff --git a/bg2/install-tob-patch-uk.sh b/bg2/install-tob-patch-uk.sh
new file mode 100644
index 0000000..f54e62a
--- /dev/null
+++ b/bg2/install-tob-patch-uk.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+# Copyright 2010 Tasos Latsas, Nick Daly
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Baldur's Gate 2 Throne of Bhaal Patch
+#
+# info : http://www.bioware.com/games/throne_bhaal/support/patches/
+# size : 8.0 MB
+# date : before 12/27/2001 (earliest archive.org version)
+
+patch_url="http://downloads.bioware.com/baldursgate2/BGII-ThroneofBhaal_Patch_26498_EUROPEAN.exe"
+patch_name="$(basename $patch_url)"
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract wget
+
+setuptmp
+
+getpatch $patch_url
+
+cabextract -L -s "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
+unshield x -Ld "${TMPDIR}/data1.cab" -d "${TMPDIR}/data1"
+cp "${TMPDIR}/data1/override/"*.exe "${TARGETDIR}" || diesoftly
+cp -R "${TMPDIR}/data1/override/"* "${TARGETDIR}/override" || diesoftly
+
+teardown "$TARGETDIR"
diff --git a/bg2/install-tob-patch-us.sh b/bg2/install-tob-patch-us.sh
new file mode 100644
index 0000000..ae58962
--- /dev/null
+++ b/bg2/install-tob-patch-us.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+# Copyright 2010 Tasos Latsas, Nick Daly
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Baldur's Gate 2 Throne of Bhaal Patch
+#
+# info : http://www.bioware.com/games/throne_bhaal/support/patches/
+# size : 8.0 MB
+# date : before 12/27/2001 (earliest archive.org version)
+
+patch_url="http://downloads.bioware.com/baldursgate2/BGII-ThroneofBhaal_Patch_26498_ENGLISH.exe"
+patch_name="$(basename $patch_url)"
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract wget
+
+setuptmp
+
+getpatch $patch_url
+
+cabextract -L -s "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
+unshield x -Ld "${TMPDIR}/data1.cab" -d "${TMPDIR}/data1"
+cp "${TMPDIR}/data1/override/"*.exe "${TARGETDIR}" || diesoftly
+cp -R "${TMPDIR}/data1/override/"* "${TARGETDIR}/override" || diesoftly
+
+teardown "$TARGETDIR"
diff --git a/includes/cd-list.sh b/includes/cd-list.sh
index 8acf905..b090cd7 100644
--- a/includes/cd-list.sh
+++ b/includes/cd-list.sh
@@ -64,8 +64,8 @@ function get_game
FULLGAMENAME="Baldurs Gate 2 - Throne of Bhaal: 1CD US version"
SHORTGAMENAME="baldursgate2soa"
MINSCRIPT="bg2/install-tob-1cd-us-minimal.sh"
- PATCHES="" # TODO: fill in patches
- # bg2/install-patch-totsc-uk.sh bg1/install-patch-baldurdash-fix.sh bg1/install-patch-totsc-baldurdash-text.sh"
+ PATCHES="bg2/install-tob-patch-us.sh"
+ # "bg1/install-patch-baldurdash-fix.sh bg1/install-patch-totsc-baldurdash-text.sh"
WINDOWSFILES="autorun.ini bgconfig.exe bgdxtest.exe bggltest.exe bgmain.exe charview.exe glsetup.exe update.url earthlink gamespy"
CDNO=1
CDSTART=5
diff --git a/iwd/install-patch-how-us.sh b/iwd/install-patch-how-us.sh
new file mode 100644
index 0000000..b900f3a
--- /dev/null
+++ b/iwd/install-patch-how-us.sh
@@ -0,0 +1,46 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas, Nick Daly
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale - Heart of Winter patch v1.42 - Trials of the Loremaster
+#
+# info : http://www.planetbaldursgate.com/iwd/media/files/patches/iwdreadme106.txt
+# size : 69.4 MB
+# date : ????
+
+patch_url="http://www.sorcerers.net/Games2/IWD/how142eng.rar"
+patch_name="$(basename $patch_url)"
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract wget
+
+setuptmp
+
+getpatch $patch_url
+
+cabextract -L -s "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
+unshield x -L "${TMPDIR}/disk1/data1.cab" -d "$TMPDIR"
+LONGTMP="${TMPDIR}/minimum_compressed"
+cp -R "${LONGTMP}/data/"* "${TARGETDIR}/data" || diesoftly
+cp -R "${LONGTMP}/override/"* "${TARGETDIR}/override" || diesoftly
+cp -R "${LONGTMP}_(us_english)/"* "${TARGETDIR}" || diesoftly
+cp -R "${TMPDIR}/minimum_uncompressed_(us_english)/"* "${TARGETDIR}" || diesoftly
+
+teardown "$TARGETDIR"